Main Page | Modules | Data Structures | File List | Data Fields | Globals | Related Pages

# WinPcap user's manual

## Modules
group | Definitions
group | Exported functions
group | WinPcap tutorial: a step by step guide to using WinPcap
group | Filtering expression syntax
group | Using WinPcap in your programs

## Detailed Description

This section contains the user manual of `wpcap.dll`, the dynamic library that contains the public WinPcap API. wpcap.dll exports a set of system-independent functions for packet capture and network analysis. These functions can be used to:

- obtain the list of the available network adapters
- retrieve various information about an adapter, like the description and the list of addresses
- sniff the packets using one of the network interface cards of the PC
- send packets to the network
- efficiently save packets to disk and load them with an interface similar to the one of live capture
- create packet filters using a high level language and apply them to the captured packets

wpcap.dll is compatible with libpcap, the well known packet capture library for Unix. This compatibility means that one can develop portable network tools that will run on the Win32 OS family and on all of the major Unix flavors.

Several portions of the manual present in this section derive directly from the man pages of tcpdump and libpcap, maintained by the tcpdump.org developers. Therefore, if you are looking for updated docs, you can consult the web site www.tcpdump.org.

## Note

Some functions are marked deprecated or discouraged. The meanings of these labels are:

- discouraged: the use of another function with similar purpose is suggested, however this one is still valid.
- deprecated: the function is present only for portability and backward compatibility. It should be avoided, and it is strongly suggested to use another equivalent function instead.

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005 CACE technologies. All rights reserved.